Summary:	X Keyboard Configuration Database
Summary(pl.UTF-8):	Baza danych konfiguracji klawiatury pod X
Name:		xkeyboard-config
Version:	2.34
Release:	1
License:	MIT
Group:		X11/Development/Libraries
Source0:	https://xorg.freedesktop.org/releases/individual/data/xkeyboard-config/%{name}-%{version}.tar.bz2
# Source0-md5:	59eee0166c214c692d084e27ba33ec56
URL:		https://www.freedesktop.org/wiki/Software/XKeyboardConfig
BuildRequires:	autoconf >= 2.57
BuildRequires:	automake
BuildRequires:	gettext-tools >= 0.19.8
BuildRequires:	libxslt-progs
BuildRequires:	python3 >= 1:3.0
BuildRequires:	rpmbuild(macros) >= 1.446
BuildRequires:	xorg-util-util-macros >= 1.12
# for sinhala layouts
Requires:	xorg-lib-libX11 >= 1.4.3
Provides:	xorg-data-xkbdata
Obsoletes:	xorg-data-xkbdata < 0.9
# due to large maximum keycode handling
Conflicts:	xorg-app-xkbcomp < 1.4.2
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The non-arch keyboard configuration database for X Window System. The
goal is to provide the consistent, well-structured, frequently
released open source of X keyboard configuration data for X Window
System implementations (free, open source and commercial). The project
is targeted to XKB-based systems.

%description -l pl.UTF-8
Niezależna od architektury baza danych konfiguracji klawiatury dla
systemu X Window. Celem jest dostarczenie spójnych, dobrze
zbudowanych, często wydawanych danych konfiguracji klawiatury pod X z
otwartymi źródłami dla implementacji X Window System (wolnodostępnych,
mających otwarte źródła i komercyjnych). Projekt jest przeznaczony dla
systemów opartych na XKB.

%prep
%setup -q

%build
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
%if "%{_gnu}" != "-gnux32"
	--host=%{_host} \
	--build=%{_host} \
%endif
	--disable-runtime-deps \
	--enable-compat-rules \
	--with-xkb-rules-symlink=xorg \
	--with-xkb-base=%{_datadir}/X11/xkb

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

ln -s /var/lib/xkb $RPM_BUILD_ROOT%{_datadir}/X11/xkb/compiled

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%pretrans
# it used to be directory in xkbdata
if [ -d %{_datadir}/X11/xkb/symbols/pc ]; then
	mv -b %{_datadir}/X11/xkb/symbols/pc{,.dir}
%banner -e %{name} <<EOF
Check out %{_datadir}/X11/xkb/symbols/pc.dir
for your own files and remove it when done.
EOF
fi
if [ -d %{_datadir}/X11/xkb/compiled ]; then
	rm -rf %{_datadir}/X11/xkb/compiled
fi

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS COPYING ChangeLog NEWS README docs/H* docs/R*
%{_datadir}/X11/xkb
%{_npkgconfigdir}/xkeyboard-config.pc
%{_mandir}/man7/xkeyboard-config.7*
%changelog
* Wed Oct 06 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/xkeyboard-config.git;a=log;h=master

* Wed Oct 06 2021 Jakub Bogusz <qboosh@pld-linux.org> d983a0a
- updated to 2.34

* Wed Jun 16 2021 Jakub Bogusz <qboosh@pld-linux.org> 76abc6e
- updated to 2.33

* Fri Oct 09 2020 Jakub Bogusz <qboosh@pld-linux.org> ce13d3a
- updated to 2.31

* Mon Jul 06 2020 Jakub Bogusz <qboosh@pld-linux.org> 5b6aa45
- updated to 2.30

* Sun Feb 23 2020 Jakub Bogusz <qboosh@pld-linux.org> f0d0777
- updated to 2.29

* Wed Jun 19 2019 Jakub Bogusz <qboosh@pld-linux.org> 426ce50
- updated to 2.27

* Thu Feb 21 2019 Jakub Bogusz <qboosh@pld-linux.org> 514a6b9
- updated to 2.26

* Thu Nov 29 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> e50913c
- up to 2.25

* Fri Jun 08 2018 Jakub Bogusz <qboosh@pld-linux.org> d7f9304
- updated to 2.24
- removed obsolete pl patch

* Thu Feb 01 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 008d2ec
- rel 2; fixes https://bugs.freedesktop.org/show_bug.cgi?id=104904

* Thu Feb 01 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> f9ed485
- up to 2.23.1

* Wed Jan 31 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> c936710
- up to 2.23

* Sun Oct 29 2017 Arkadiusz Miśkiewicz <arekm@maven.pl> 78742b6
- up to 2.22

* Sat Jun 11 2016 Jakub Bogusz <qboosh@pld-linux.org> 655abf6
- updated to 2.18

* Fri Jan 29 2016 Jakub Bogusz <qboosh@pld-linux.org> 19294f5
- updated to 2.17

* Sun Oct 18 2015 Jakub Bogusz <qboosh@pld-linux.org> 1515a00
- updated to 2.16

* Sun Jun 28 2015 Jakub Bogusz <qboosh@pld-linux.org> 92fcb20
- ifarch doesn't work after BuildArch: noarch, detect x32 by _gnu macro value

* Sun Jun 28 2015 Jakub Bogusz <qboosh@pld-linux.org> b7fd08a
- try simpler way

* Sun Jun 28 2015 Jakub Bogusz <qboosh@pld-linux.org> a4ba0e0
- x32 hack, release 2

* Sun Jun 28 2015 Jakub Bogusz <qboosh@pld-linux.org> 412151f
- updated to 2.15

